Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorA.cpp File Reference

`#include "PortableInterceptorC.h"`
`#include "PortableInterceptorA.h"`
`#include "tao/Typecode.h"`
`#include "tao/Any_Impl_T.h"`
`#include "tao/Any_Dual_Impl_T.h"`

Include dependency graph for PortableInterceptorA.cpp:

## Functions
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Interceptor_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Interceptor_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::Interceptor_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::ForwardRequest &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ForwardRequest *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ForwardRequest *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::ForwardRequest *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::InvalidSlot *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::InvalidSlot *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Current_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::Current_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::Current_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::RequestInfo_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::RequestInfo_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::RequestInfo_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInfo_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInfo_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInfo_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInfo_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInfo_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInfo_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInterceptor_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInterceptor_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ClientRequestInterceptor_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInterceptor_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInterceptor_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ServerRequestInterceptor_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::PolicyFactory_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::PolicyFactory_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::PolicyFactory_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo_ptr &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::ORBInitInfo::DuplicateName &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo::DuplicateName *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo::DuplicateName *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::ORBInitInfo::DuplicateName *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const PortableInterceptor::ORBInitInfo::InvalidName &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo::InvalidName *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ORBInitInfo::InvalidName *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const PortableInterceptor::ORBInitInfo::InvalidName *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitializer_ptr _tao_elem)
void | operator<<= (CORBA::Any &_tao_any, PortableInterceptor::ORBInitializer_ptr *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, PortableInterceptor::ORBInitializer_ptr &_tao_elem)

## Function Documentation

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitializer_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitializer_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo::InvalidName * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ORBInitInfo::InvalidName & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo::DuplicateName * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ORBInitInfo::DuplicateName & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::PolicyFactory_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::PolicyFactory_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInterceptor_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInterceptor_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInterceptor_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInterceptor_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInfo_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInfo_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInfo_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInfo_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::RequestInfo_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::RequestInfo_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::InvalidSlot * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::InvalidSlot & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::ForwardRequest * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ForwardRequest & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Interceptor_ptr * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | PortableInterceptor::Interceptor_ptr | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitializer_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ORBInitInfo::InvalidName *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo::InvalidName *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ORBInitInfo::DuplicateName *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo::DuplicateName *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ORBInitInfo_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::PolicyFactory_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInterceptor_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInterceptor_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ServerRequestInfo_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ClientRequestInfo_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::RequestInfo_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::Current_ptr & | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::InvalidSlot *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::InvalidSlot *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const PortableInterceptor::ForwardRequest *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::ForwardRequest *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | PortableInterceptor::Interceptor_ptr & | _tao_elem
| ) |